<?php

namespace Drupal\openquestions\Service;

use Drupal\openquestions\Model\VoteDataInterface;

/**
 * Factory for vote data objects.
 */
interface VoteDataFactoryInterface {

	/**
	 * Create an object implementing VoteDataInterface.
	 */
	public function createVoteDataForItem($id) : VoteDataInterface;

}
